
#ifndef DefinesH
#define DefinesH

#define SAVE_PASSWORD  /* Warning Plain Text! */
//#define DLI_USE    /* Exposes buttons most don't want */

#define CONNECT_TIMEOUT 5000
#define BASE_KEY "Software\\Digital Loggers, Inc.\\EPC Switcher"
#define USE_STRINGLIST

// Captions for Power Switch types
#define CAPTION_TYPE_UNKNOWN  "Unknown Controller Type"
#define CAPTION_TYPE_PC8000   "Ethernet Power Controller"
#define CAPTION_TYPE_EPCR2    "Ethernet Power Controller II"
#define CAPTION_TYPE_EPCR3    "Ethernet Power Controller III"
#define CAPTION_TYPE_LPC1      "Web Power Switch"
#define CAPTION_TYPE_LPC2     "Web Power Switch II"
#define CAPTION_TYPE_LPC3     "Web Power Switch III"
#define CAPTION_TYPE_48       "-48 Power Controller"
#define CAPTION_TYPE_DIN      "Ethernet DIN Relay"
#define CAPTION_TYPE_DIN2     "Ethernet DIN Relay II"
#define CAPTION_TYPE_DIN3     "Ethernet DIN Relay III"
#define CAPTION_TYPE_VPDU     "VPDU Power Controller"
#define CAPTION_TYPE_LPC4     "Web Power Switch IV"
#define CAPTION_TYPE_LPC5     "Web Power Switch V"
#define CAPTION_TYPE_LPC6     "Web Power Switch VI"
#define CAPTION_TYPE_LPC7     "Web Power Switch VII"
#define CAPTION_TYPE_POE15    "Smart 15V POE Injector"
#define CAPTION_TYPE_POE24    "Smart 24V POE Injector"
#define CAPTION_TYPE_POER24   "Smart 24V POE Injector V2"
#define CAPTION_TYPE_POE48    "Smart 48V POE Injector"
#define CAPTION_TYPE_220		  "208-240V Power Switch"

// Jumper settings for Power Switch types
#define JUMPER_NONE	     "J00"
#define JUMPER_48        "J01"
#define JUMPER_DIN       "J02"  //THE SAME!!!!
#define JUMPER_DIN2      "J02"
#define JUMPER_VPDU      "J03"
#define JUMPER_EPCR2     "XA1" // XA0?
#define JUMPER_EPCR3     "XA2"

#define JUMPER_LPC3      "X00"
#define JUMPER_LPC4      "J05"
#define JUMPER_LPC5      "XA7"
#define JUMPER_LPC6      "XAA"
#define JUMPER_POER24    "XAB"
#define JUMPER_DIN3      "XAC"
#define JUMPER_LPC7      "XAD"

#define JUMPER_POE15     "XA6"
#define JUMPER_POE24     "XA8"
#define JUMPER_POE48     "XA5"

#define JUMPER_220		   "XA9"

#endif
